#!/usr/bin/expect
spawn /var/ossec/bin/manage_agents
expect -ex "Choose your action: A,E,L,R or Q:\r"
send -- "A\r"
expect -ex "* A name for the new agent:\r"
send -- "{{ agent_name }}\r"
expect -ex "* The IP Address of the new agent:\r"
send -- "{{ agent_ip }}\r"
expect "* An ID for the new agent\r"
send -- "{{ agent_number }}\r"
expect -ex "Confirm adding it?(y/n):\r"
send -- "y\r"
expect -ex "Choose your action: A,E,L,R or Q:\r"
send -- "Q\r"